Skip to main content

Instance Notification Rules Actions

https://api.losant.com/instances/INSTANCE_ID/notification-rules

Below are the various requests that can be performed against the Instance Notification Rules resource, as well as the expected parameters and the potential responses.

Get​

Returns the notification rules for an instance

Method And Url​

GET https://api.losant.com/instances/INSTANCE_ID/notification-rules

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.Instance.read, all.User, all.User.bounded, all.User.read, instanceNotificationRules.*, or instanceNotificationRules.get.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec7417ae143cd83dc4a96

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=key
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*rule

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/instances/INSTANCE_ID/notification-rules

Successful Responses​

CodeTypeDescription
200Notification RulesCollection of notification rules

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Post​

Create a new notification rule for an instance

Method And Url​

POST https://api.losant.com/instances/INSTANCE_ID/notification-rules

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.User, all.User.bounded, instanceNotificationRules.*, or instanceNotificationRules.post.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec7417ae143cd83dc4a96

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Notification Rule Post schema. For example, the following would be a valid body for this request:

{
"name": "My New Notification Rule",
"targetType": "organization",
"targetQueryJson": "{}",
"emailConfig": {
"subjectTemplate": "Limit Exceeded",
"bodyTemplate": "Org has exceeded its payload limit",
"sendToTarget": "admins"
},
"ruleConfig": {
"ruleType": "payloadUsage",
"thresholdType": "percentOfLimit",
"threshold": 100
}
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"My New Notification Rule","targetType":"organization","targetQueryJson":"{}","emailConfig":{"subjectTemplate":"Limit Exceeded","bodyTemplate":"Org has exceeded its payload limit","sendToTarget":"admins"},"ruleConfig":{"ruleType":"payloadUsage","thresholdType":"percentOfLimit","threshold":100}}' \
https://api.losant.com/instances/INSTANCE_ID/notification-rules

Successful Responses​

CodeTypeDescription
201Notification RuleThe successfully created notification rule

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Notification Rule​

        Schema for a single notification rule

        Notification Rule Schema​

        • ▶
          {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 19 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 3 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 3 keys
                                              • ▶
                                                {} 4 keys
                                                • ▶
                                                  {} 4 keys

                                              Notification Rule Example​

                                              • ▶
                                                {} 16 keys
                                                • "585ec7417ae143cd83dc4a95"
                                                • "585ec7417ae143cd83dc4a95"
                                                • "60106426dc03c6aad06560ba"
                                                • "instance"
                                                • "2016-06-13T04:00:00.000Z"
                                                • "2016-06-13T04:00:00.000Z"
                                                • "575ed70c7ae143cd83dc4aa9"
                                                • "user"
                                                • "575ed70c7ae143cd83dc4aa9"
                                                • "user"
                                                • "organization"
                                                • "{}"
                                                • "My Notification Rule"
                                                • true
                                                • ▶
                                                  {} 5 keys
                                                  • ▶
                                                    {} 4 keys

                                                  Notification Rule Post​

                                                  Schema for the body of a notification rule creation request

                                                  Notification Rule Post Schema​

                                                  • ▶
                                                    {} 5 keys
                                                    • "http://json-schema.org/draft-07/schema#"
                                                    • "object"
                                                    • ▶
                                                      {} 8 keys
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 2 keys
                                                          • ▶
                                                            {} 3 keys
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 1 key
                                                                • ▶
                                                                  {} 1 key
                                                                  • ▶
                                                                    {} 1 key
                                                                    • ▶
                                                                      {} 4 keys
                                                                    • false
                                                                    • ▶
                                                                      [] 4 items

                                                                    Notification Rule Post Example​

                                                                    • ▶
                                                                      {} 5 keys
                                                                      • "My New Notification Rule"
                                                                      • "organization"
                                                                      • "{}"
                                                                      • ▶
                                                                        {} 3 keys
                                                                        • ▶
                                                                          {} 3 keys

                                                                        Notification Rules​

                                                                        Schema for a collection of notification rules

                                                                        Notification Rules Schema​

                                                                        • ▶
                                                                          {} 3 keys
                                                                          • "http://json-schema.org/draft-07/schema#"
                                                                          • "object"
                                                                          • ▶
                                                                            {} 12 keys
                                                                            • ▶
                                                                              {} 2 keys
                                                                              • ▶
                                                                                {} 1 key
                                                                                • ▶
                                                                                  {} 1 key
                                                                                  • ▶
                                                                                    {} 1 key
                                                                                    • ▶
                                                                                      {} 1 key
                                                                                      • ▶
                                                                                        {} 1 key
                                                                                        • ▶
                                                                                          {} 1 key
                                                                                          • ▶
                                                                                            {} 1 key
                                                                                            • ▶
                                                                                              {} 2 keys
                                                                                              • ▶
                                                                                                {} 2 keys
                                                                                                • ▶
                                                                                                  {} 2 keys
                                                                                                  • ▶
                                                                                                    {} 2 keys

                                                                                                Notification Rules Example​

                                                                                                • ▶
                                                                                                  {} 9 keys
                                                                                                  • ▶
                                                                                                    [] 1 item
                                                                                                    • 1
                                                                                                    • 4
                                                                                                    • 1
                                                                                                    • 0
                                                                                                    • "name"
                                                                                                    • "asc"
                                                                                                    • "60106426dc03c6aad06560ba"
                                                                                                    • "instance"

                                                                                                  Was this page helpful?


                                                                                                  Still looking for help? You can also search the Losant Forums or submit your question there.